;============================================
; Solar OS sample 02
; to be used with Solar Assembler
;============================================


;----------------------------
; import from this DLL
;----------------------------
import_dll ..\sol_os_kernel.dll

;----------------------------
; the following functions
;----------------------------
	import_func	API_Window_Create
	import_func	API_Window_Set_Caption

;----------------------
; define sections
;----------------------
section "code"		class_code
section "data" 		class_data
section	"idata"		class_imports
section "reloc" 	class_relocs


;---------------------
;define entry point
;---------------------
.entry App_Init


;------------------------------
; includes
;------------------------------
include		..\_include\system_32_equ.asm


.data
	main_handle		dd	0
	main_caption		db	"Sol_02 caption",0
.code

App_Init:
	
	;----------------------------------
	; create main application window
	;----------------------------------	
	mov	eax,FLAG_WND_ALPHA+FLAG_WND_MINI
	invoke	API_Window_Create,0,132,105,240,112,eax,WND_TYPE_TOP
	mov	[main_handle],eax

	invoke	API_Window_Set_Caption, eax, main_caption

	ret


;******************************
;  END OF PROGRAM TEXT
;******************************
