;================================================
; Solar OS sample 01 - Create a simple window
; to be used with Solar Assembler
;================================================


;----------------------------
; import from this DLL
;----------------------------
import_dll ..\sol_os_kernel.dll

;----------------------------
; the following functions
;----------------------------
	import_func	Window_Create
	import_func	Window_Set_Caption

;----------------------
; define sections
;----------------------
section "code"		class_code
section "data" 		class_data
section	"idata"		class_imports
section "reloc" 	class_relocs

;---------------------
;define entry point
;---------------------
.entry App_Init

;------------------------------
; includes
;------------------------------
include		..\_include\system_32_equ.asm

.data
	app_main_handle		dd	0

.code

App_Init:	
	;----------------------------------
	; create main application window
	;----------------------------------	
	mov	eax,FLAG_WND_ALPHA+FLAG_WND_MINI
	invoke	Window_Create,0,132,105,240,112,eax,WND_TYPE_TOP
	mov	[app_main_handle],eax
	ret

;******************************
;  END OF PROGRAM TEXT
;******************************
